Skip to main content
`Ctrl`+`K`

# DMPlexGetOrientedFace

Given a cell and a face, as a set of vertices, return the oriented face, as a set of vertices, in faceVertices. The orientation is such that the face normal points out of the cell

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetOrientedFace(DM dm, PetscInt cell, PetscInt faceSize, const PetscInt face[], PetscInt numCorners, PetscInt indices[], PetscInt origVertices[], PetscInt faceVertices[], PetscBool *posOriented)

Not Collective

## Input Parameters

- dm - The original mesh

- cell - The cell mesh point

- faceSize - The number of vertices on the face

- face - The face vertices

- numCorners - The number of vertices on the cell

- indices - Local numbering of face vertices in cell cone

- origVertices - Original face vertices

## Output Parameters

- faceVertices - The face vertices properly oriented

- posOriented - `PETSC_TRUE` if the face was oriented with outward normal

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCone()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages